<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/stylepageAfficheUsers.css">
    <title>Liste des utilisateurs</title>
</head>
<body>
     <header>
         <!-- Image and text -->
         <nav class="navbar navbar-expand-sm justify-content-center navbar-light bg-light">
             <a href="/" class="navbar-brand">
                 <img src="userlogo.jpg" alt="logo de connexion" width="60" height="60"
                     class="d-inline-block align-top img-center">
             </a>
             <ul class="navbar-nav">
                 <li class="nav-item">
                     <a class="nav-link" href="/users">Liste des utilisateurs</a>
                 </li>
                 
             </ul>

         </nav>
     </header>

    <main class="container-fluid">
       
        <table class="table table-hover">
        <thead>
                <tr>
                
                <th scope="col">UserName</th>
                <th scope="col">UserForename</th>
                <th scope="col">UserCity/ZipCode</th>
                <th scope="col">UserPassword</th>
                <th scope="col">Delete</th>
                </tr>
            </thead>
            

            <tbody>
                <% for(var i=0; i < users.length; i++) { %>
                <tr>                
                    <td><%=users[i].userName%><%users[i]%></td>
                    <td><%=users[i].userForename%></td>
                    <td><%=users[i].userCity %> / <%= users[i].userZipCode %></td>
                    <td><%=users[i].userPassword %></td>
                    <td><button type="button" class="btn btn-outline-danger align-middle">Supprimer cet utilisateur</button></td>
                </tr>                
            <% } %>
            </tbody>

        </table>
     </main>

    <!-- Footer -->
    <footer class="page-footer font-small ">
        <article class="footer-copyright text-center py-3">© 2018 Copyright : APITry</article>

    </footer>

    
</body>

<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

</html>